Role (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.Role interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface Role

All Superinterfaces:
  ManagedElement, ModelObject, java.io.Serializable

    public interface Role

extends ManagedElement

Naming Rules:
  0="applicationName,roleName"
Persistable:
  true
Table Name:
  ROLE
Display Name:
  applicationName,roleName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`ModelObject[]` | `getAccessedElements()`
`java.lang.String` | `getApplicationName()`
`OrganizationalEntity[]` | `getEntities()`
`Permission[]` | `getPermissions()`
`java.lang.String` | `getRoleName()`
`boolean` | `hasAccessedElements()`
`boolean` | `hasApplicationName()`
`boolean` | `hasEntities()`
`boolean` | `hasPermissions()`
`boolean` | `hasRoleName()`
`void` | `setAccessedElements(ModelObject[] x)`
`void` | `setApplicationName(java.lang.String x)`
`void` | `setEntities(OrganizationalEntity[] x)`
`void` | `setPermissions(Permission[] x)`
`void` | `setRoleName(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getEntities

    OrganizationalEntity[] getEntities()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AssignedTo" reverse="false"

### setEntities

    void setEntities(OrganizationalEntity[] x)

### hasEntities

    boolean hasEntities()

### getRoleName

    java.lang.String getRoleName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRoleName

    void setRoleName(java.lang.String x)

### hasRoleName

    boolean hasRoleName()

### getAccessedElements

    ModelObject[] getAccessedElements()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ControlsAccess" reverse="false"

### setAccessedElements

    void setAccessedElements(ModelObject[] x)

### hasAccessedElements

    boolean hasAccessedElements()

### getApplicationName

    java.lang.String getApplicationName()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setApplicationName

    void setApplicationName(java.lang.String x)

### hasApplicationName

    boolean hasApplicationName()

### getPermissions

    Permission[] getPermissions()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    ROLEJDO_PERMISSIONS_X
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Supports" reverse="false"

### setPermissions

    void setPermissions(Permission[] x)

### hasPermissions

    boolean hasPermissions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD